:m
echo - 1.自定义Magisk版本刷入    回车和任意内容为采用内置的Magisk-23.0.zip

set gn=
echo.
echo.
set /p gn=%t2%

if "!gn!"=="1" ( goto file ) else (
    set Customizeapk=false
)

if exist %magisk_file% ( goto Brush_in ) else (
    %error% 文件不存在
    goto m
)


:file
    %tishi1% 刷入的Magisk.zip
    set magisk_file=
    set /p magisk_file=%t1%
    if not defined magisk_file ( %error% 未选择文件，刷个鸡儿 & goto file )
    if not exist %magisk_file% ( %error% 选择的文件不存在，刷个鸡儿 & goto file )
    set Customizeapk=true


:Brush_in
    echo - 请选择您的设备状态
    echo.
    set gn=
    echo - 1.系统/rec/TWRP模式下        2.已在ADB Sideload模式下        3.FASTBOOT模式下
    echo.
    echo.
    set /p gn=%t2%
    set Customize=false
    if "!gn!"=="2" ( goto label )
    
    echo - 如果无法自动重启到sideload模式请手动进入
    if "!gn!"=="1" (
        echo - 开始重启到sideload
        adb reboot sideload
    )
    
    if "!gn!"=="3" (
        set gn=
        echo - 3.使用方法①进入       4.使用方法②进入
        echo.
        echo.
        set /p gn=%t2%
        if "!gn!"=="4" ( call bat\f4.bat ) else ( call bat\f3.bat )
        %awfr%
        echo - 开始重启到sideload
        adb reboot sideload
        goto label
    )
        goto Brush_in


:label
            %awfs%
            echo - 开始ADB线刷：%magisk_file%……
            echo - 等待设备刷入完毕……
            adb sideload %magisk_file%
            if "%errorlevel%"=="0" ( echo - %magisk_file%刷入完毕 ) else ( %error% %magisk_file%刷入失败，请确保对方设备使用的是三方recovery )
            %awfr%

            set gn=
            echo - 您的设备是否是联发科设备？
            echo - 可去recovery里禁用AVB2.0的启动校验和DM校验否则会无法开机，当然有的高通机型也有可能需要禁用(小米高通机型不用此操作请跳过)
            %CQ%
            if not "!gn!"=="1" ( goto end )
                busybox %Customizeapk% || (
                    set gn=
                    echo - 是否现在安装%magisk_vn%？
                    echo.
                    echo.
                    set /p gn=输入1为确定安装     回车或任意内容为跳过：
                    if "!gn!"=="1" (
                        %awfd%
                        echo - 请确保手机已进入系统，部分系统需要在手机上确定才能安装
                        adb install -r %magisk_file%
                        echo.
                        echo - 如果上面这行出现了 Success 就说明安装成功了
                    )
                )


:end
    abort
